Skip to main content
delete/v2/dlq
Request example
Response
delete/v2/dlq
Warning

The synchronous pagination API is deprecated. It’s recommended to use Async Bulk endpoint to process all matching entries in a bulk action.

This paginated request processes at most count matching messages and returns a cursor for the next page.

Authorization

Authorizationstringheaderrequired#
QStash authentication token

1 alternative authorization method available — see the spec for details.

Query parameters

cursorstring#
By providing a cursor you can paginate through all of the messages in the DLQ
messageIdstring#
Filter DLQ messages by message ID
urlstring[]#
Filter DLQ messages by destination URL. Supports multiple values.
topicNamestring[]#
Filter DLQ messages by URL Group name. Supports multiple values.
scheduleIdstring[]#
Filter DLQ messages by schedule ID. Supports multiple values.
queueNamestring[]#
Filter DLQ messages by queue name. Supports multiple values.
fromDateinteger#
Filter DLQ messages by starting date, in milliseconds (Unix timestamp). This is inclusive.
toDateinteger#
Filter DLQ messages by ending date, in milliseconds (Unix timestamp). This is inclusive.
responseStatusinteger[]#
Filter DLQ messages by HTTP response status code of the last delivery attempt. Supports multiple values.
callerIpstring[]#
Filter DLQ messages by IP address of the publisher. Supports multiple values.
labelstring[]#
Filter DLQ messages by label. Supports multiple values.
flowControlKeystring[]#
Filter DLQ messages by Flow Control Key. Supports multiple values.
countinteger#
The number of messages to delete.

Default: 100

Range: <= 100

Responses

application/json
200
DLQ messages deleted successfully
cursorstring#

A cursor which you can use in subsequent requests to paginate through all messages.
If no cursor is returned, you have reached the end of the messages.

deletedinteger#
The number of messages that were deleted.